Bug 199022 - devel/maven3: add CPE information
Summary: devel/maven3: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-30 16:49 UTC by shun
Modified: 2015-04-13 19:32 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (wombat)


Attachments
adding CPE information to Makefile (292 bytes, patch)
2015-03-30 16:49 UTC, shun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2015-03-30 16:49:38 UTC
Created attachment 155001 [details]
adding CPE information to Makefile

devel/maven3 has had vulnerabilities with a CPE identifier assigned (e.g. CVE-2013-0253). This patch adds CPE information as suggested in the FreeBSD wiki[0].

[0] https://wiki.freebsd.org/Ports/CPE
Comment 1 wombat 2015-03-31 13:28:54 UTC
Hello,

Thank you for your patch, it actually makes sense to have this. However, as explained in bug 188110, there are currently plans to deprecate all maven ports and just keep 3.3 since backwards compatibility is pretty good.

I do however think your changes are very useful, so we should definitely look into incorporating those. I'll update the other bug.
Comment 2 commit-hook freebsd_committer 2015-04-13 19:27:02 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Apr 13 19:26:10 UTC 2015
New revision: 383957
URL: https://svnweb.freebsd.org/changeset/ports/383957

Log:
  - Add CPE information

  PR:		199022
  Submitted by:	shun <shun.fbsd.pr@dropcut.net>
  Approved by:	portmgr (blanket)

Changes:
  head/devel/maven3/Makefile
Comment 3 Po-Chuan Hsieh freebsd_committer 2015-04-13 19:32:24 UTC
Committed. Thanks!